<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$id = 0;

//
//$id = 83847;
//$elemento_borrado = '{"descripcion":"SIC,26214,SOLICITUD DE CONEXION EXISTENTE,110511,RAFAEL HORTIGUERA 3981 1,,12/12/2019,FIN,0.81,150.0,10.55,318340,HISTORICA,0,1005571,10.55,313.30,12.86,5.00,,Cambio de estado por mantenimiento del sistema. SD-30604","fecha":"2019-12-12 01:43:17","usuario":"Sistema"}';
//$historia = '[{"descripcion":"ALTA EN BASE A REPORTE DEL SISTEMA DE CONEXIONES","fecha":"2019-08-19 00:00:00","usuario":"Administrador"},{"descripcion":"SIC,26214,SOLICITUD DE CONEXION EXISTENTE,110511,RAFAEL HORTIGUERA 3981 1,,12/12/2019,FIN,0.81,150.0,10.55,318340,HISTORICA,4122339,0,10.55,313.30,12.86,5.00,,Cambio de estado por mantenimiento del sistema. SD-30604","fecha":"2019-12-12 00:31:46","usuario":"Sistema"},{"descripcion":"SUR,5034719,Conexion Obstruida,RAFAEL HORTIGUERA NÂº: 3979 [Padron: 110511] entre REPUBLICA DE CHIPRE y ORTIZ DE ZARATE,2024-06-03 16:27:54,En Proceso,2024-06-04 16:17:19","fecha":"2024-06-03 16:27:54","usuario":"Sistema"}]';
//$lat = 0;
//$lon = 0;

if($_REQUEST['lat']){$lat = $_REQUEST['lat'];}//
if($_REQUEST['lon']){$lon = $_REQUEST['lon'];}
if($_REQUEST['id']){$id = $_REQUEST['id'];}
if($_REQUEST['elemento_borrado']){$elemento_borrado = $_REQUEST['elemento_borrado'];}
if($_REQUEST['historia']){$historia = $_REQUEST['historia'];}



$sql = "UPDATE conexiones SET historial = '" . $historia . "' WHERE id = " . $id;
$resultado = mysqli_query($con,$sql);

$sql = "INSERT INTO perdidos (historia, latitud, longitud) VALUES ('" . $elemento_borrado . "'," .  $lat . "," . $lon . ")";
$resultado = mysqli_query($con,$sql);

$recalcular = recalculo_campos_historial($historia);

if ($recalcular['sur'] != '')
{
    $sql = "UPDATE conexiones SET sur = '" . $recalcular['sur'] . "' WHERE id = " . $id;
    $resultado = mysqli_query($con,$sql); 
}
else
{
    $sql = "UPDATE conexiones SET sur = 'Sin reclamos' WHERE id = " . $id;
    $resultado = mysqli_query($con,$sql);  
    $recalcular['sur'] = "Sin reclamos";
}
if ($recalcular['sic'] != '')
{

    $sql = "UPDATE conexiones SET tramite = '" . $recalcular['sic'] . "', caudal = " . $recalcular['caudal'] . ", areaimp = " . $recalcular['areaimp']. ", areaper = " . $recalcular['areaper']. ", cantino = " . $recalcular['cantino'] . " WHERE id = " . $id;
    $resultado = mysqli_query($con,$sql); 
}else
{
    $sql = "UPDATE conexiones SET tramite = 'Sin tramite' WHERE id = " . $id;
    $resultado = mysqli_query($con,$sql);  
    $recalcular['sic'] = "Sin tramite";
}


mysqli_close($con);
echo json_encode($recalcular);





?>



